
%global meadversion 2.6
%global namedversion 2.6-redhat-2
%global meadalpha .redhat_2
%global meadrel .2
%global serial 4

%bcond_without mead

%define maven_version 2.6-redhat-2

Name:           sun-codemodel
Version:        %{meadversion}
Release:        %{serial}%{meadalpha}%{meadrel}%{?dist}
Epoch:          0
Summary:        Java source code generation library
Group:          Development/Java

%if %with mead
Source100: com.sun.codemodel-codemodel-project-2.6-redhat-2-sources.zip
Source101: com.sun.codemodel-codemodel-project-2.6-redhat-2-patches.zip
Source102: codemodel-2.6-redhat-2.pom
Source103: codemodel-2.6-redhat-2-sources.jar
Source104: codemodel-2.6-redhat-2.jar
Source105: codemodel-project-2.6-redhat-2.pom
Source106: codemodel-project-2.6-redhat-2-javadoc.jar
Source107: codemodel-annotation-compiler-2.6-redhat-2.pom
Source108: codemodel-annotation-compiler-2.6-redhat-2-sources.jar
Source109: codemodel-annotation-compiler-2.6-redhat-2.jar
%endif

License:        CDDL
URL:            https://codemodel.dev.java.net/
Provides:       codemodel = %{epoch}:%{version}-%{release}
Requires(post): jpackage-utils
Requires(postun): jpackage-utils
Requires:       jpackage-utils
BuildRequires:  jpackage-utils
Requires:       istack-commons >= 0:2.5
BuildArch:      noarch
BuildRoot:      %{_tmppath}/codemodel-%{version}-%{release}-root

%description
Java source code generation library.

%package javadoc
Summary:        Javadoc for codemodel
Group:          Development/Documentation

Requires:       jpackage-utils
BuildRequires:  jpackage-utils
BuildRequires:  unzip

%description javadoc
%{summary}.

%prep
%setup -q -n codemodel -T -b 100

%build

%install
%{__rm} -rf %{buildroot}

# jars
%{__mkdir_p} %{buildroot}%{_javadir}/%{name}
%{__cp} -p  %{_sourcedir}/codemodel-annotation-compiler-%{namedversion}-sources.jar %{buildroot}%{_javadir}/%{name}/codemodel-annotation-compiler-%{namedversion}-sources.jar
%{__cp} -p  %{_sourcedir}/codemodel-annotation-compiler-%{namedversion}.jar %{buildroot}%{_javadir}/%{name}/codemodel-annotation-compiler-%{namedversion}.jar
%{__cp} -p  %{_sourcedir}/codemodel-%{namedversion}-sources.jar %{buildroot}%{_javadir}/%{name}/codemodel-%{namedversion}-sources.jar
%{__cp} -p  %{_sourcedir}/codemodel-%{namedversion}.jar %{buildroot}%{_javadir}/%{name}/codemodel-%{namedversion}.jar
(cd %{buildroot}%{_javadir}/%{name} && for jar in *-%{namedversion}*; do %{__ln_s} ${jar} `/bin/echo ${jar} | %{__sed} -e "s|-%{namedversion}||g"`; done)

# poms
%{__mkdir_p} %{buildroot}%{_mavenpomdir}
%{__cp} -p %{_sourcedir}/codemodel-annotation-compiler-%{namedversion}.pom %{buildroot}%{_mavenpomdir}/JPP.%{name}-codemodel-annotation-compiler.pom
%{__cp} -p %{_sourcedir}/codemodel-project-%{namedversion}.pom %{buildroot}%{_mavenpomdir}/JPP.%{name}-codemodel-project.pom
%{__cp} -p %{_sourcedir}/codemodel-%{namedversion}.pom %{buildroot}%{_mavenpomdir}/JPP.%{name}-codemodel.pom

# depmaps
%add_to_maven_depmap com.sun.codemodel codemodel-annotation-compiler %{namedversion} JPP/%{name} codemodel-annotation-compiler
%add_to_maven_depmap com.sun.codemodel codemodel-project %{namedversion} JPP/%{name} codemodel-project
%add_to_maven_depmap com.sun.codemodel codemodel %{namedversion} JPP/%{name} codemodel
%{__mv} %{buildroot}%{_mavendepmapfragdir}/%{name} %{buildroot}%{_mavendepmapfragdir}/codemodel

# javadoc
%{__mkdir_p} %{buildroot}%{_javadocdir}/codemodel-%{namedversion}
%{__unzip} -qq %{_sourcedir}/codemodel-project-%{namedversion}-javadoc.jar -d %{buildroot}%{_javadocdir}/codemodel-%{namedversion}
%{__rm} -r %{buildroot}%{_javadocdir}/codemodel-%{namedversion}/META-INF
%{__ln_s} codemodel-%{namedversion} %{buildroot}%{_javadocdir}/codemodel

%clean
%{__rm} -rf %{buildroot}

%post
%update_maven_depmap

%postun
%update_maven_depmap

%files
%defattr(0644,root,root,0755)
%doc LICENSE.html
%dir %{_javadir}/%{name}
%{_javadir}/%{name}/codemodel-annotation-compiler-%{namedversion}-sources.jar
%{_javadir}/%{name}/codemodel-annotation-compiler-sources.jar
%{_javadir}/%{name}/codemodel-annotation-compiler-%{namedversion}.jar
%{_javadir}/%{name}/codemodel-annotation-compiler.jar
%{_javadir}/%{name}/codemodel-%{namedversion}-sources.jar
%{_javadir}/%{name}/codemodel-sources.jar
%{_javadir}/%{name}/codemodel-%{namedversion}.jar
%{_javadir}/%{name}/codemodel.jar
%{_mavenpomdir}/JPP.%{name}-codemodel-annotation-compiler.pom
%{_mavenpomdir}/JPP.%{name}-codemodel-project.pom
%{_mavenpomdir}/JPP.%{name}-codemodel.pom
%{_mavendepmapfragdir}/codemodel

%files javadoc
%defattr(0644,root,root,0755)
%{_javadocdir}/codemodel-%{namedversion}
%{_javadocdir}/codemodel

%changelog
* Thu May 15 2014 David Walluck <dwalluck@redhat.com> - 2.6-4.redhat_2.2
- move jars

* Wed Sep 19 2012 Fernando Nasser <fnasser@redhat.com> - 0:2.6-3_redhat_2.3
- Rebuild for MD5

* Mon Aug 20 2012 Paul Gier <pgier@redhat.com> - 0:2.6-2_redhat_2.3
- Update pom patch to remove bom because it is inherited from external parent pom

* Thu Aug 09 2012 Fernando Nasser <fnasser@redhat.com> - 0:2.6-2_redhat_2.2
- Rebuild unsigned

* Thu Jul 19 2012 Fernando Nasser <fnasser@redhat.com> - 0:2.6-2_redhat_1.1
- Rebuild using cache signing

* Thu Jul 05 2012 Martha Benitez <mbenitez@redhat.com> - 0:2.6-2
- Build in MEAD

* Tue May 01 2012 David Walluck <dwalluck@redhat.com> 0:2.6-1
- 2.6
- add LICENSE.html
- fix file list

* Fri Feb 24 2012 David Walluck <dwalluck@redhat.com> 0:2.5-0.2
- enable istack-commons

* Thu Feb 23 2012 David Walluck <dwalluck@redhat.com> 0:2.5-0.1
- 2.5
- build with maven
- add repolib

* Mon Dec 08 2008 Will Tatam <will.tatam@red61.com> 2.0-2
- Auto rebuild for JPackage 5 in mock

* Tue Mar 11 2008 Ralph Apel <r.apel at r-apel.de> 0:2.0-1jpp
- First release
